﻿using ComputerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BindingModels
{
    public class AssemblyBindingModel : IAssemblyModel
    {
        public int Id { get; set; }
        public string AssemblyName { get; set; } = string.Empty;
        public double Price { get; set; }
        public int ClientId { get; set; }
        public Dictionary<int, (IComponentModel, int)> AssemblyComponents
        {
            get;
            set;
        } = new();
        public Dictionary<int, (IOrderModel, int)> AssemblyOrders
        {
            get;
            set;
        } = new();
    }
}
