﻿using ComputerShopDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopDatabaseImplement
{
    internal class ComputerShopDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=DESKTOP-QA8P9OJ;Initial Catalog=ComputerShopDatabaseCW;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Assembly> Assemblies { set; get; }
        public virtual DbSet<AssemblyComponent> AssemblyComponents { set; get; }
        public virtual DbSet<Purchase> Purchases { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
        public virtual DbSet<Supply> Supplies { set; get; }
        public virtual DbSet<SupplyOrder> SupplyOrders { set; get; }
        public virtual DbSet<EquipmentReceiving> EquipmentReceivings { set; get; }
        public virtual DbSet<ComponentSupply> ComponentSupplies { set; get; }
        public virtual DbSet<AssemblyOrder> AssemblyOrders { set; get; }
        public virtual DbSet<Client> Clients { set; get; }
    }
}
